Page MenuHomePhabricator

elm_toolbar: fix prio.visible
ClosedPublic

Authored by bu5hm4n on Oct 22 2018, 1:07 AM.

Details

Summary

prio.visible is ignored in case of SHRINK_EXPAND is used. every single
item is just stuffed into a box. Thus in case that the *more flag
indicates that another box is displayed (rather than not fitting items),
then we do not set the visibility flag on the item - as the item is used
anyways.

ref T6806.
Depends on D7103

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Oct 22 2018, 1:07 AM
bu5hm4n requested review of this revision.Oct 22 2018, 1:07 AM
bowonryu accepted this revision.Oct 28 2018, 8:07 PM

Good. This helps prevent the toolbar from moving like crazy in some SHRINK_EXPAND. (For example, elementary_test toolbar8)

But in more_item, focus still behaves abnormally.

Do you have a plan for this?

This revision is now accepted and ready to land.Oct 28 2018, 8:07 PM
Closed by commit rEFL79a5ff6e1e39: elm_toolbar: fix prio.visible (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyNov 2 2018, 1:54 AM
This revision was automatically updated to reflect the committed changes.